Search for all

  1. Search 7.x for all
  2. Search 8.9.x for all
  3. Search 10.3.x for all
  4. Search 11.x for all
  5. Search main for all
  6. Other projects
Title Object type File name Summary
WorkspaceSwitcherTest class core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php Tests workspace switching functionality.
WorkspaceSwitcherTest.php file core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php
WorkspaceSwitcherTest::$defaultTheme property core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php The theme to install as the default for testing.
WorkspaceSwitcherTest::$modules property core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php Modules to enable.
WorkspaceSwitcherTest::setUp function core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php
WorkspaceSwitcherTest::testQueryParameterNegotiator function core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php Tests switching workspace via a query parameter.
WorkspaceSwitcherTest::testSwitchingWorkspaces function core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php Tests switching workspace via the switcher block and admin page.
workspaces_cron function core/modules/workspaces/workspaces.module Implements hook_cron().
workspaces_entity_access function core/modules/workspaces/workspaces.module Implements hook_entity_access().
workspaces_entity_base_field_info function core/modules/workspaces/workspaces.module Implements hook_entity_base_field_info().
workspaces_entity_create_access function core/modules/workspaces/workspaces.module Implements hook_entity_create_access().
workspaces_entity_insert function core/modules/workspaces/workspaces.module Implements hook_entity_insert().
workspaces_entity_predelete function core/modules/workspaces/workspaces.module Implements hook_entity_predelete().
workspaces_entity_preload function core/modules/workspaces/workspaces.module Implements hook_entity_preload().
workspaces_entity_presave function core/modules/workspaces/workspaces.module Implements hook_entity_presave().
workspaces_entity_type_alter function core/modules/workspaces/workspaces.module Implements hook_entity_type_alter().
workspaces_entity_type_build function core/modules/workspaces/workspaces.module Implements hook_entity_type_build().
workspaces_entity_update function core/modules/workspaces/workspaces.module Implements hook_entity_update().
workspaces_field_info_alter function core/modules/workspaces/workspaces.module Implements hook_field_info_alter().
workspaces_form_alter function core/modules/workspaces/workspaces.module Implements hook_form_alter().
workspaces_help function core/modules/workspaces/workspaces.module Implements hook_help().
workspaces_install function core/modules/workspaces/workspaces.install Implements hook_install().
workspaces_module_preinstall function core/modules/workspaces/workspaces.install Implements hook_module_preinstall().
workspaces_post_update_modify_base_field_author_override function core/modules/workspaces/workspaces.post_update.php Updates stale references to Drupal\workspaces\Entity\Workspace::getCurrentUserId.
workspaces_post_update_remove_association_schema_data function core/modules/workspaces/workspaces.post_update.php Removes the workspace association entity and field schema data.
workspaces_removed_post_updates function core/modules/workspaces/workspaces.post_update.php Implements hook_removed_post_updates().
workspaces_requirements function core/modules/workspaces/workspaces.install Implements hook_requirements().
workspaces_schema function core/modules/workspaces/workspaces.install Implements hook_schema().
workspaces_toolbar function core/modules/workspaces/workspaces.module Implements hook_toolbar().
workspaces_update_last_removed function core/modules/workspaces/workspaces.install Implements hook_update_last_removed().
workspaces_views_query_alter function core/modules/workspaces/workspaces.module Implements hook_views_query_alter().
WorkspaceTest class core/modules/workspaces/tests/src/Functional/WorkspaceTest.php Test the workspace entity.
WorkspaceTest.php file core/modules/workspaces/tests/src/Functional/WorkspaceTest.php
WorkspaceTest::$defaultTheme property core/modules/workspaces/tests/src/Functional/WorkspaceTest.php The theme to install as the default for testing.
WorkspaceTest::$editor1 property core/modules/workspaces/tests/src/Functional/WorkspaceTest.php A test user.
WorkspaceTest::$editor2 property core/modules/workspaces/tests/src/Functional/WorkspaceTest.php A test user.
WorkspaceTest::$modules property core/modules/workspaces/tests/src/Functional/WorkspaceTest.php Modules to enable.
WorkspaceTest::setUp function core/modules/workspaces/tests/src/Functional/WorkspaceTest.php
WorkspaceTest::testDeleteWorkspaceWithExistingContent function core/modules/workspaces/tests/src/Functional/WorkspaceTest.php Verifies that a workspace with existing content may be deleted.
WorkspaceTest::testSpecialCharacters function core/modules/workspaces/tests/src/Functional/WorkspaceTest.php Tests creating a workspace with special characters.
WorkspaceTest::testWorkspaceFieldUi function core/modules/workspaces/tests/src/Functional/WorkspaceTest.php Tests adding new fields to workspace entities.
WorkspaceTest::testWorkspaceFormRevisions function core/modules/workspaces/tests/src/Functional/WorkspaceTest.php Tests that editing a workspace creates a new revision.
WorkspaceTest::testWorkspaceList function core/modules/workspaces/tests/src/Functional/WorkspaceTest.php Tests the Workspaces listing UI.
WorkspaceTest::testWorkspaceManagePage function core/modules/workspaces/tests/src/Functional/WorkspaceTest.php Tests the manage workspace page.
WorkspaceTest::testWorkspaceOwner function core/modules/workspaces/tests/src/Functional/WorkspaceTest.php Tests changing the owner of a workspace.
WorkspaceTest::testWorkspaceToolbar function core/modules/workspaces/tests/src/Functional/WorkspaceTest.php Tests that the toolbar correctly shows the active workspace.
WorkspaceTestTrait trait core/modules/workspaces/tests/src/Kernel/WorkspaceTestTrait.php A trait with common workspaces testing functionality.
WorkspaceTestTrait.php file core/modules/workspaces/tests/src/Kernel/WorkspaceTestTrait.php
WorkspaceTestTrait::$workspaceManager property core/modules/workspaces/tests/src/Kernel/WorkspaceTestTrait.php The workspaces manager.
WorkspaceTestTrait::$workspaces property core/modules/workspaces/tests/src/Kernel/WorkspaceTestTrait.php An array of test workspaces, keyed by workspace ID.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.